Subject: bug#13785: [patch] Trivial doc fix for regexp in elisp manual

From: Xue Fuqiao <[email-masked]>
Date: Fri, 22 Feb 2013 21:30:02 +0800

There is a minor bug in searching.texi (some constructs like "\(?:" are
not two-character sequences), so I made the following patch:

*** trunk/doc/lispref/ChangeLog.orig	2013-02-17 22:42:17.309803000 +0800
--- trunk/doc/lispref/ChangeLog	2013-02-22 21:21:05.601320008 +0800
***************
*** 1,3 ****
--- 1,8 ----
+ 2013-02-22  Xue Fuqiao  <[email-masked]>
+ 
+ 	* searching.texi (Regexp Backslash): Doc fix for backslash
+ 	constructs in regular expressions.
+ 
  2013-02-15  Glenn Morris  <[email-masked]>
  
  	* modes.texi (Basic Major Modes): 'z' no longer bound in special-mode.

*** trunk/doc/lispref/searching.texi	2013-02-03 09:46:50.383143000 +0800
--- trunk/doc/lispref/searching.texi.new 2013-02-22 21:17:57.144385485 +0800
*************** through @samp{f} and @samp{A} through @s
*** 589,598 ****
  
    For the most part, @samp{\} followed by any character matches only
  that character.  However, there are several exceptions: certain
! two-character sequences starting with @samp{\} that have special
! meanings.  (The character after the @samp{\} in such a sequence is
! always ordinary when used on its own.)  Here is a table of the special
! @samp{\} constructs.
  
  @table @samp
  @item \|
--- 589,598 ----
  
    For the most part, @samp{\} followed by any character matches only
  that character.  However, there are several exceptions: certain
! sequences starting with @samp{\} that have special meanings.  (The
! character after the @samp{\} in such a sequence is always ordinary
! when used on its own.)  Here is a table of the special @samp{\}
! constructs.
  
  @table @samp
  @item \|

-- 
Best regards, Xue Fuqiao.
http://www.emacswiki.org/emacs/XueFuqiao